aboutsummaryrefslogtreecommitdiff
path: root/ld
diff options
context:
space:
mode:
authorH.J. Lu <hjl.tools@gmail.com>2007-03-15 14:17:20 +0000
committerH.J. Lu <hjl.tools@gmail.com>2007-03-15 14:17:20 +0000
commitc428fa83c21769fafedcebb7b4a381c6ca24f998 (patch)
tree495dd739a73402206ab116758c5e19246f8de8da /ld
parent794ba86ab2c3af917bb30776338526a18ea74880 (diff)
downloadgdb-c428fa83c21769fafedcebb7b4a381c6ca24f998.zip
gdb-c428fa83c21769fafedcebb7b4a381c6ca24f998.tar.gz
gdb-c428fa83c21769fafedcebb7b4a381c6ca24f998.tar.bz2
bfd/
2007-03-15 H.J. Lu <hongjiu.lu@intel.com> * Makefile.am (bfdver.h): Substitute report_bugs_to. Also create doc/bfdver.texi. * Makefile.in: Regenerated. * configure.in (--with-bugurl): New option. * configure: Regenerated. * version.h (REPORT_BUGS_TO): New. binutils/ 2007-03-15 H.J. Lu <hongjiu.lu@intel.com> * Makefile.am (REPORT_BUGS_TO): Removed. (INCLUDES): Remove -DREPORT_BUGS_TO. * Makefile.in: Regenerated. * bucomm.c: Don't include bfdver.h. * objdump.c: Likewise. * version.c: Likewise. * bucomm.h: Include bfdver.h. * configure.in (--with-bugurl): Removed. * configure: Regenerated. * doc/Makefile.am (binutils_TEXINFOS): Removed. (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc. (TEXI2DVI): Likewise. (config.texi): Removed. (MOSTLYCLEANFILES): Remove config.texi. * doc/Makefile.in: Regenerated. * doc/binutils.texi: Include bfdver.texi instead of config.texi. gas/ 2007-03-15 H.J. Lu <hongjiu.lu@intel.com> * Makefile.am (REPORT_BUGS_TO): Removed. (INCLUDES): Remove -DREPORT_BUGS_TO. * Makefile.in: Regenerated. * configure.in (--with-bugurl): Removed. * configure: Regenerated. * doc/Makefile.am (as_TEXINFOS): Remove gasver.texi. (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc. (TEXI2DVI): Likewise. (gasver.texi): Removed. (MOSTLYCLEANFILES): Remove gasver.texi. (as.1): Don't depend on gasver.texi. * doc/Makefile.in: Regenerated. * doc/as.texi: Include bfdver.texi instead of gasver.texi. gprof/ 2007-03-15 H.J. Lu <hongjiu.lu@intel.com> * Makefile.am (REPORT_BUGS_TO): Removed. (INCLUDES): Remove -DREPORT_BUGS_TO. * Makefile.in: Regenerated. * configure.in (--with-bugurl): Removed. * configure: Regenerated. ld/ 2007-03-15 H.J. Lu <hongjiu.lu@intel.com> * Makefile.am (ld_TEXINFOS): Remove ldver.texi. (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc. (TEXI2DVI): Likewise. (REPORT_BUGS_TO): Removed. (INCLUDES): Remove -DREPORT_BUGS_TO. (ldver.texi): Likewise. (ld.1): Don't depend on ldver.texi. (MOSTLYCLEANFILES): Remove ldver.texi. * Makefile.in: Regenerated. * configure.in (--with-bugurl): Removed. * configure: Regenerated. * lexsup.c: Include bfdver.h. * ld.texinfo: Include bfdver.texi instead of ldver.texi.
Diffstat (limited to 'ld')
-rw-r--r--ld/ChangeLog19
-rw-r--r--ld/Makefile.am25
-rw-r--r--ld/Makefile.in35
-rwxr-xr-xld/configure31
-rw-r--r--ld/configure.in19
-rw-r--r--ld/ld.texinfo2
-rw-r--r--ld/lexsup.c1
7 files changed, 45 insertions, 87 deletions
diff --git a/ld/ChangeLog b/ld/ChangeLog
index 4931735..116a4a2 100644
--- a/ld/ChangeLog
+++ b/ld/ChangeLog
@@ -1,3 +1,22 @@
+2007-03-15 H.J. Lu <hongjiu.lu@intel.com>
+
+ * Makefile.am (ld_TEXINFOS): Remove ldver.texi.
+ (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
+ (TEXI2DVI): Likewise.
+ (REPORT_BUGS_TO): Removed.
+ (INCLUDES): Remove -DREPORT_BUGS_TO.
+ (ldver.texi): Likewise.
+ (ld.1): Don't depend on ldver.texi.
+ (MOSTLYCLEANFILES): Remove ldver.texi.
+ * Makefile.in: Regenerated.
+
+ * configure.in (--with-bugurl): Removed.
+ * configure: Regenerated.
+
+ * lexsup.c: Include bfdver.h.
+
+ * ld.texinfo: Include bfdver.texi instead of ldver.texi.
+
2007-03-11 Hans-Peter Nilsson <hp@bitrange.com>
* emultempl/mmixelf.em: Remove incorrect '#line' directive.
diff --git a/ld/Makefile.am b/ld/Makefile.am
index 6acdf74..67026ae 100644
--- a/ld/Makefile.am
+++ b/ld/Makefile.am
@@ -91,18 +91,17 @@ CXX_FOR_TARGET = ` \
noinst_PROGRAMS = ld-new
info_TEXINFOS = ld.texinfo
-ld_TEXINFOS = configdoc.texi ldver.texi
+ld_TEXINFOS = configdoc.texi
noinst_TEXINFOS = ldint.texinfo
man_MANS = ld.1
-AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
-TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
-
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
+AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+ -I $(top_srcdir)/../libiberty
+TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+ -I $(top_srcdir)/../libiberty
INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(BFDDIR) -I$(INCDIR) \
@INCINTL@ $(HDEFINES) $(CFLAGS) \
- -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
-DLOCALEDIR="\"$(datadir)/locale\""
BFDLIB = ../bfd/libbfd.la
@@ -1767,18 +1766,10 @@ configdoc.texi: ${DOCVER}-doc.texi
cp ${srcdir}/${DOCVER}-doc.texi ./configdoc.texi
chmod u+w ./configdoc.texi
-ldver.texi: $(srcdir)/../bfd/configure
- rm -f $@
- eval `grep '^ *VERSION=' $(srcdir)/../bfd/configure`; \
- echo "@set VERSION $$VERSION" > $@
- if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
- echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> $@; \
- fi
-
# Build the man page from the texinfo file
# The sed command removes the no-adjust Nroff command so that
# the man output looks standard.
-ld.1: $(srcdir)/ld.texinfo configdoc.texi ldver.texi
+ld.1: $(srcdir)/ld.texinfo configdoc.texi
touch $@
-$(TEXI2POD) $(MANCONF) < $(srcdir)/ld.texinfo > ld.pod
-($(POD2MAN) ld.pod | \
@@ -1787,7 +1778,7 @@ ld.1: $(srcdir)/ld.texinfo configdoc.texi ldver.texi
(rm -f $@.T$$$$ && exit 1)
rm -f ld.pod
-MAINTAINERCLEANFILES = ldver.texi configdoc.texi
+MAINTAINERCLEANFILES = configdoc.texi
# We want to reconfigure if configure.host or configure.tgt changes. We
# extract version from bfd/configure.in, so we must depend on that also.
@@ -1881,7 +1872,7 @@ EXTRA_DIST = ldgram.c ldgram.h ldlex.c emultempl/spu_ovl.o $(man_MANS)
diststuff: info $(EXTRA_DIST)
all: info ld.1
-# Both info (ld.info) and ld.1 depend on configdoc.texi and ldver.texi.
+# Both info (ld.info) and ld.1 depend on configdoc.texi.
# But info isn't a direct target. Make info-recursive to depend on
# ld.1 to support parallel build.
info-recursive: ld.1
diff --git a/ld/Makefile.in b/ld/Makefile.in
index cd8c4d1..1c2d4ce 100644
--- a/ld/Makefile.in
+++ b/ld/Makefile.in
@@ -205,8 +205,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
POSUB = @POSUB@
RANLIB = @RANLIB@
-REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRINGIFY = @STRINGIFY@
@@ -329,14 +327,17 @@ CXX_FOR_TARGET = ` \
fi`
info_TEXINFOS = ld.texinfo
-ld_TEXINFOS = configdoc.texi ldver.texi
+ld_TEXINFOS = configdoc.texi
noinst_TEXINFOS = ldint.texinfo
man_MANS = ld.1
-AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
-TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
+AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+ -I $(top_srcdir)/../libiberty
+
+TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+ -I $(top_srcdir)/../libiberty
+
INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(BFDDIR) -I$(INCDIR) \
@INCINTL@ $(HDEFINES) $(CFLAGS) \
- -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
-DLOCALEDIR="\"$(datadir)/locale\""
BFDLIB = ../bfd/libbfd.la
@@ -692,7 +693,7 @@ ld_new_SOURCES = ldgram.y ldlex.l lexsup.c ldlang.c mri.c ldctor.c ldmain.c \
ld_new_DEPENDENCIES = $(EMULATION_OFILES) $(EMUL_EXTRA_OFILES) $(BFDLIB) $(LIBIBERTY) $(LIBINTL_DEP)
ld_new_LDADD = $(EMULATION_OFILES) $(EMUL_EXTRA_OFILES) $(BFDLIB) $(LIBIBERTY) $(LIBINTL)
-MAINTAINERCLEANFILES = ldver.texi configdoc.texi ld.info
+MAINTAINERCLEANFILES = configdoc.texi ld.info
# We want to reconfigure if configure.host or configure.tgt changes. We
# extract version from bfd/configure.in, so we must depend on that also.
@@ -720,15 +721,15 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__confi
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
- echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
- cd $(srcdir) && $(AUTOMAKE) --foreign \
+ echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus '; \
+ cd $(srcdir) && $(AUTOMAKE) --cygnus \
&& exit 0; \
exit 1;; \
esac; \
done; \
- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus Makefile'; \
cd $(top_srcdir) && \
- $(AUTOMAKE) --foreign Makefile
+ $(AUTOMAKE) --cygnus Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
@@ -2568,18 +2569,10 @@ configdoc.texi: ${DOCVER}-doc.texi
cp ${srcdir}/${DOCVER}-doc.texi ./configdoc.texi
chmod u+w ./configdoc.texi
-ldver.texi: $(srcdir)/../bfd/configure
- rm -f $@
- eval `grep '^ *VERSION=' $(srcdir)/../bfd/configure`; \
- echo "@set VERSION $$VERSION" > $@
- if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
- echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> $@; \
- fi
-
# Build the man page from the texinfo file
# The sed command removes the no-adjust Nroff command so that
# the man output looks standard.
-ld.1: $(srcdir)/ld.texinfo configdoc.texi ldver.texi
+ld.1: $(srcdir)/ld.texinfo configdoc.texi
touch $@
-$(TEXI2POD) $(MANCONF) < $(srcdir)/ld.texinfo > ld.pod
-($(POD2MAN) ld.pod | \
@@ -2665,7 +2658,7 @@ install-data-local: install-info
diststuff: info $(EXTRA_DIST)
all: info ld.1
-# Both info (ld.info) and ld.1 depend on configdoc.texi and ldver.texi.
+# Both info (ld.info) and ld.1 depend on configdoc.texi.
# But info isn't a direct target. Make info-recursive to depend on
# ld.1 to support parallel build.
info-recursive: ld.1
diff --git a/ld/configure b/ld/configure
index cbd4253..8a81d9a 100755
--- a/ld/configure
+++ b/ld/configure
@@ -309,7 +309,7 @@ ac_includes_default="\
# include <unistd.h>
#endif"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL use_sysroot TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE YACC LEX LEXLIB LEX_OUTPUT_ROOT MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES HOSTING_CRT0 HOSTING_LIBS NATIVE_LIB_DIRS CPP EGREP STRINGIFY EMUL EMULATION_OFILES EMUL_EXTRA_OFILES LIB_PATH EMULATION_LIBPATH TESTBFDLIB datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL use_sysroot TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE WARN_CFLAGS NO_WERROR USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE YACC LEX LEXLIB LEX_OUTPUT_ROOT MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES HOSTING_CRT0 HOSTING_LIBS NATIVE_LIB_DIRS CPP EGREP STRINGIFY EMUL EMULATION_OFILES EMUL_EXTRA_OFILES LIB_PATH EMULATION_LIBPATH TESTBFDLIB datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
ac_subst_files='TDIRS'
# Initialize some variables set by options.
@@ -871,7 +871,6 @@ Optional Packages:
--with-pic try to use only PIC/non-PIC objects default=use both
--with-lib-path=dir1:dir2... set default LIB_PATH
--with-sysroot=DIR Search for usr/lib et al within DIR.
- --with-bugurl=URL Direct users to URL to report a bug
Some influential environment variables:
CC C compiler command
@@ -3869,7 +3868,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
case $host in
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 3872 "configure"' > conftest.$ac_ext
+ echo '#line 3871 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -4227,30 +4226,6 @@ fi;
-# The location to which bugs should be reported.
-
-# Check whether --with-bugurl or --without-bugurl was given.
-if test "${with_bugurl+set}" = set; then
- withval="$with_bugurl"
- case "$withval" in
- yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5
-echo "$as_me: error: bug URL not specified" >&2;}
- { (exit 1); exit 1; }; } ;;
- no) REPORT_BUGS_TO="";
- REPORT_BUGS_TEXI=""
- ;;
- *) REPORT_BUGS_TO="<URL:$withval>"
- REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
- ;;
- esac
-else
- REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
- REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-
-fi;
-
-
-
GCC_WARN_CFLAGS="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
@@ -8708,8 +8683,6 @@ s,@LIBTOOL@,$LIBTOOL,;t t
s,@use_sysroot@,$use_sysroot,;t t
s,@TARGET_SYSTEM_ROOT@,$TARGET_SYSTEM_ROOT,;t t
s,@TARGET_SYSTEM_ROOT_DEFINE@,$TARGET_SYSTEM_ROOT_DEFINE,;t t
-s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
-s,@REPORT_BUGS_TEXI@,$REPORT_BUGS_TEXI,;t t
s,@WARN_CFLAGS@,$WARN_CFLAGS,;t t
s,@NO_WERROR@,$NO_WERROR,;t t
s,@USE_NLS@,$USE_NLS,;t t
diff --git a/ld/configure.in b/ld/configure.in
index edb75e9..d2dd6f7 100644
--- a/ld/configure.in
+++ b/ld/configure.in
@@ -66,25 +66,6 @@ AC_SUBST(use_sysroot)
AC_SUBST(TARGET_SYSTEM_ROOT)
AC_SUBST(TARGET_SYSTEM_ROOT_DEFINE)
-# The location to which bugs should be reported.
-AC_ARG_WITH(bugurl,
- AS_HELP_STRING([--with-bugurl=URL],
- [Direct users to URL to report a bug]),
- [case "$withval" in
- yes) AC_MSG_ERROR([bug URL not specified]) ;;
- no) REPORT_BUGS_TO="";
- REPORT_BUGS_TEXI=""
- ;;
- *) REPORT_BUGS_TO="<URL:$withval>"
- REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
- ;;
- esac],
- REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
- REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-)
-AC_SUBST(REPORT_BUGS_TO)
-AC_SUBST(REPORT_BUGS_TEXI)
-
AM_BINUTILS_WARNINGS
AM_CONFIG_HEADER(config.h:config.in)
diff --git a/ld/ld.texinfo b/ld/ld.texinfo
index 1c48268..eb8d007 100644
--- a/ld/ld.texinfo
+++ b/ld/ld.texinfo
@@ -6,7 +6,7 @@
@c man begin INCLUDE
@include configdoc.texi
@c (configdoc.texi is generated by the Makefile)
-@include ldver.texi
+@include bfdver.texi
@c man end
@c @smallbook
diff --git a/ld/lexsup.c b/ld/lexsup.c
index 025411e..795ecc8 100644
--- a/ld/lexsup.c
+++ b/ld/lexsup.c
@@ -22,6 +22,7 @@
#include "config.h"
#include "bfd.h"
+#include "bfdver.h"
#include "sysdep.h"
#include "libiberty.h"
#include <stdio.h>